Bug 1764812 - [GCP] openshift-install destroy cluster can leak buckets
Summary: [GCP] openshift-install destroy cluster can leak buckets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Jeremiah Stuever
QA Contact: Yang Yang
URL:
Whiteboard:
Depends On:
Blocks: 1779329
TreeView+ depends on / blocked
 
Reported: 2019-10-23 19:21 UTC by Jeremiah Stuever
Modified: 2020-05-04 11:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1779329 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:14:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2589 'None' closed Bug 1762413: pkg/destroy/gcp: retry deleting previously discovered resources 2020-09-21 07:01:38 UTC
Github openshift installer pull 2694 'None' closed Bug 1764812: pkg/destroy/gcp/bucket.go: join multipe dashes when looking for cluster bucket prefix 2020-09-21 07:01:34 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:15:17 UTC

Comment 1 Scott Dodson 2019-10-24 12:36:44 UTC
Image registry had similar problems on AWS and it was resolved by tagging the S3 resources such that the Installer cleans them up, a similar solution is needed for GCP.

Comment 5 Adam Kaplan 2019-10-28 13:40:54 UTC
Moving to the installer for now - if installer needs the image registry operator to name/tag the bucket in a specific way this can be reassigned.

Comment 6 Scott Dodson 2019-11-05 18:45:33 UTC
This could be CI specific timeout.

Comment 7 Jeremiah Stuever 2019-11-07 19:03:29 UTC
This should be resolved by https://github.com/openshift/installer/pull/2589, CI time-outs aside.

Comment 9 Gaoyun Pei 2019-11-18 07:09:43 UTC
Verify this bug with payload registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2019-11-17-224250.

./openshift-install destroy cluster --dir=/home/jenkins/workspace/Remove VMs/cucushift/workdir/install-dir --log-level=debug
level=debug msg="OpenShift Installer v4.3.0"
level=debug msg="Built from commit 55ac3aca9578c038278d7ab24037849e3b9f8296"
...

level=debug msg="Listing storage buckets"
level=debug msg="Found bucket: gpei-f-7h9gp-image-registry-us-central1-gnxbjtgwaqqqvoyebtbqoo"
level=debug msg="Listing objects for storage bucket gpei-f-7h9gp-image-registry-us-central1-gnxbjtgwaqqqvoyebtbqoo"
level=debug msg="Deleting storate bucket gpei-f-7h9gp-image-registry-us-central1-gnxbjtgwaqqqvoyebtbqoo"
level=info msg="Deleted bucket gpei-f-7h9gp-image-registry-us-central1-gnxbjtgwaqqqvoyebtbqoo"

Comment 11 Yang Yang 2020-01-03 04:13:42 UTC
Verified with payload 4.4.0-0.nightly-2019-12-20-210709

The storage buckets are deleted while cluster is destroying. And multiple dashes in the cluster name are replaced with one dash.

level=debug msg="Listing storage buckets"
level=debug msg="Found bucket: y-y-y-96ng4-image-registry-us-central1-ridrjrmdgpxiyvduoxiansn"
level=debug msg="Listing objects for storage bucket y-y-y-96ng4-image-registry-us-central1-ridrjrmdgpxiyvduoxiansn"
level=debug msg="Deleting storate bucket y-y-y-96ng4-image-registry-us-central1-ridrjrmdgpxiyvduoxiansn"
level=info msg="Deleted bucket y-y-y-96ng4-image-registry-us-central1-ridrjrmdgpxiyvduoxiansn"

Comment 14 errata-xmlrpc 2020-05-04 11:14:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.